%define cronyx_ver 453

# cronyx must start before zaptel
# asterisk must start after zaptel

Name: zaptel
Version: 1.0
Release: alt7
Epoch: 20050813
Summary: Zaptel drivers
License: GPL
Group: System/Kernel and hardware

Source: %name-%epoch.tar.gz
Source1: clinux%cronyx_ver.tgz
Source2: %name.init

BuildArch: i586

#Requires: mount >= 2.11

# Automatically added by buildreq on Sat Aug 13 2005
BuildRequires: libnewt-devel

%package test
Requires: %name = %epoch:%version-%release
Summary: %summary
Group: %group

%package zttool
Requires: %name = %epoch:%version-%release
Summary: %summary
Group: %group

%package devel
Requires: %name = %epoch:%version-%release
Summary: %summary
Group: %group

%package -n kernel-source-%name
Summary: Linux %name module sources
Group: Development/Kernel

%description
%summary

%description devel
%summary

%description test
%summary

%description zttool
%summary

%description -n kernel-source-%name
This package contains %name sources for Linux kernel module

%description -n kernel-source-%name -l ru_RU.KOI8-R
    %name    

%prep
%setup -q -n %name
t="$RPM_SOURCE_DIR/kernel-source-%name-%version"
%__rm -rf "$t"
mkdir -p $t/zaptel
%__cp -a ./ "$t/zaptel"
pushd $t
tar xfz %SOURCE1
popd
%__mv "$t" .

%build
%make_build ztcfg torisatool makefw ztmonitor ztspeed zttool zttest \
	libtonezone.so \
	timertest

#	tor2ee

# tor2ee -- devel

subst 's!linux/zaptel.h!zaptel.h!' tonezone.h

%install
install -D -m 755 ztcfg %buildroot%_sbindir/ztcfg
install -D -m 755 zttool %buildroot%_sbindir/zttool
install -D -m 755 zttest %buildroot%_sbindir/
install -D -m 755 ztmonitor %buildroot%_sbindir/
install -D -m 755 timertest %buildroot%_sbindir/
install -D -m 755 ztspeed %buildroot%_sbindir/
install -D -m 755 libtonezone.so %buildroot%_libdir/libtonezone.so.1.0
install -D -m 644 zaptel.h %buildroot/usr/include/linux/zaptel.h
install -D -m 644 torisa.h %buildroot/usr/include/linux/torisa.h
install -D -m 644 tonezone.h %buildroot/usr/include/tonezone.h
install -D -m 644 zaptel.conf.sample %buildroot/etc/zaptel.conf
install -D -m 644 zaptel.sysconfig %buildroot/etc/sysconfig/zaptel
install -D -m 700 %SOURCE2 %buildroot/etc/rc.d/init.d/zaptel

ln -s libtonezone.so.1.0 %buildroot%_libdir/libtonezone.so

# Make kernel-source tarball
mkdir -p %buildroot%_usrsrc/kernel/sources
du -hsc kernel-source-%name-%version
%__tar cjf \
        $RPM_BUILD_ROOT%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2 \
	kernel-source-%name-%version

mv %buildroot/%_includedir/linux/*.h %buildroot/%_includedir/

cd kernel-source-%name-%version/clinux
make sconfig

mkdir -p %buildroot/usr/sbin/ %buildroot%_man8dir
%__install sconfig %buildroot/usr/sbin/
%__install sconfig.mdoc %buildroot%_man8dir/sconfig.8
%__install cronyx.conf %buildroot/etc/cronyx.conf

%post
%postun
%files
%exclude %_sbindir/zttool
%_sbindir/ztcfg
%_libdir/*
/etc/%name.conf
/etc/rc.d/init.d/*
/etc/sysconfig/%name

# cronyx
%_sbindir/sconfig
%_man8dir/*
/etc/cronyx.conf

%files zttool
%_sbindir/zttool

%files test
%_sbindir/zttest
%_sbindir/ztspeed
%_sbindir/ztmonitor
%_sbindir/timertest

%files devel
#tor2ee
%_includedir/*.h
%_includedir/*.h

%files -n kernel-source-%name
%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2

%changelog
* Wed Aug 17 2005 Denis Smirnov <mithraen@altlinux.ru> 20050813:1.0-alt7
- support for Cronyx cards fixed
- initscript fixed

* Wed Aug 17 2005 Denis Smirnov <mithraen@altlinux.ru> 20050813:1.0-alt6
- fix tonezone.h (path to zaptel.h)

* Sun Aug 14 2005 Denis Smirnov <mithraen@altlinux.ru> 20050813:1.0-alt5
- Added configuration binary for Cronyx cards

* Sat Aug 13 2005 Denis Smirnov <mithraen@altlinux.ru> 20050813:1.0-alt4
- version update
- /usr/include/linux/*.h moved to /usr/include/
- added support for Cronyx cards

* Wed Feb 02 2005 Denis Smirnov <mithraen@altlinux.ru> 20050202:1.0-alt3
- version update

* Mon Jan 24 2005 Denis Smirnov <mithraen@altlinux.ru> 20050124:1.0-alt2
- version update

* Mon Jan 10 2005 Denis Smirnov <mithraen@altlinux.ru> 20050110:1.0-alt1
- version update

* Thu Dec 30 2004 Denis Smirnov <mithraen@altlinux.ru> 20041230:1.0-alt1
- version update

* Sat Dec 25 2004 Denis Smirnov <mithraen@altlinux.ru> 20041225:1.0-alt1
- version update

* Fri Dec 17 2004 Denis Smirnov <mithraen@altlinux.ru> 20041217:1.0-alt1
- first builded
- libtonezone fix

